/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 组件清单
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-11-02 11:07:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "组件清单")
public class CpComponentList extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_libraryId = "libraryId";
  public static final String KEY_comName = "comName";
  public static final String KEY_comAlias = "comAlias";
  public static final String KEY_comCategory = "comCategory";
  public static final String KEY_comAttributes = "comAttributes";
  public static final String KEY_comIntro = "comIntro";
  public static final String KEY_isDeprecated = "isDeprecated";
  public static final String KEY_isCommonlyUse = "isCommonlyUse";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 所属组件库<br>
   */
  @ApiModelProperty("所属组件库")
  @Size(max = 32, message="所属组件库-libraryId: 数据长度不能 > 32" )
  private String libraryId;
  /**
   * 组件名<br>
   */
  @ApiModelProperty("组件名")
  @Size(max = 100, message="组件名-comName: 数据长度不能 > 100" )
  private String comName;
  /**
   * 组件别名<br>
   */
  @ApiModelProperty("组件别名")
  @Size(max = 100, message="组件别名-comAlias: 数据长度不能 > 100" )
  private String comAlias;
  /**
   * 使用类别：0-基础，1-插件2-函数<br>
   */
  @ApiModelProperty("使用类别：0-基础，1-插件2-函数")
  @Size(max = 5, message="使用类别：0-基础，1-插件2-函数-comCategory: 数据长度不能 > 5" )
  private String comCategory;
  /**
   * 属性:0-公共,-接口,2-pcBS,3-pcCS,4-安卓,5-ios<br>
   */
  @ApiModelProperty("属性:0-公共,-接口,2-pcBS,3-pcCS,4-安卓,5-ios")
  @Size(max = 10, message="属性:0-公共,-接口,2-pcBS,3-pcCS,4-安卓,5-ios-comAttributes: 数据长度不能 > 10" )
  private String comAttributes;
  /**
   * 组建介绍<br>
   */
  @ApiModelProperty("组建介绍")
  @Size(max = 2000, message="组建介绍-comIntro: 数据长度不能 > 2000" )
  private String comIntro;
  /**
   * 是否推荐使用0-推荐，1-不推荐<br>
   */
  @ApiModelProperty("是否推荐使用0-推荐，1-不推荐")
  private Integer isDeprecated;
  /**
   * 是否常用0-否1-是<br>
   */
  @ApiModelProperty("是否常用0-否1-是")
  private Integer isCommonlyUse;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 所属组件库<br>
   */
  public String getLibraryId()
  {
      return libraryId;
    }

  /**
   * 所属组件库<br>
   *
   * @param libraryId 所属组件库
   */
  public void setLibraryId(String libraryId)
  {
      this.libraryId = libraryId;
    }
  /**
   * 组件名<br>
   */
  public String getComName()
  {
      return comName;
    }

  /**
   * 组件名<br>
   *
   * @param comName 组件名
   */
  public void setComName(String comName)
  {
      this.comName = comName;
    }
  /**
   * 组件别名<br>
   */
  public String getComAlias()
  {
      return comAlias;
    }

  /**
   * 组件别名<br>
   *
   * @param comAlias 组件别名
   */
  public void setComAlias(String comAlias)
  {
      this.comAlias = comAlias;
    }
  /**
   * 使用类别：0-基础，1-插件2-函数<br>
   */
  public String getComCategory()
  {
      return comCategory;
    }

  /**
   * 使用类别：0-基础，1-插件2-函数<br>
   *
   * @param comCategory 使用类别：0-基础，1-插件2-函数
   */
  public void setComCategory(String comCategory)
  {
      this.comCategory = comCategory;
    }
  /**
   * 属性:0-公共,-接口,2-pcBS,3-pcCS,4-安卓,5-ios<br>
   */
  public String getComAttributes()
  {
      return comAttributes;
    }

  /**
   * 属性:0-公共,-接口,2-pcBS,3-pcCS,4-安卓,5-ios<br>
   *
   * @param comAttributes 属性:0-公共,-接口,2-pcBS,3-pcCS,4-安卓,5-ios
   */
  public void setComAttributes(String comAttributes)
  {
      this.comAttributes = comAttributes;
    }
  /**
   * 组建介绍<br>
   */
  public String getComIntro()
  {
      return comIntro;
    }

  /**
   * 组建介绍<br>
   *
   * @param comIntro 组建介绍
   */
  public void setComIntro(String comIntro)
  {
      this.comIntro = comIntro;
    }
  /**
   * 是否推荐使用0-推荐，1-不推荐<br>
   */
  public Integer getIsDeprecated()
  {
      return isDeprecated;
    }

  /**
   * 是否推荐使用0-推荐，1-不推荐<br>
   *
   * @param isDeprecated 是否推荐使用0-推荐，1-不推荐
   */
  public void setIsDeprecated(Integer isDeprecated)
  {
      this.isDeprecated = isDeprecated;
    }
  /**
   * 是否常用0-否1-是<br>
   */
  public Integer getIsCommonlyUse()
  {
      return isCommonlyUse;
    }

  /**
   * 是否常用0-否1-是<br>
   *
   * @param isCommonlyUse 是否常用0-否1-是
   */
  public void setIsCommonlyUse(Integer isCommonlyUse)
  {
      this.isCommonlyUse = isCommonlyUse;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpComponentList()
  {
  }

}
